Method: notebooks.sources.get

Gets a specific source.

HTTP request

GET https://notebook.googleapis.com/v1/{name=notebooks/*/sources/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the source to retrieve. Format: notebooks/{notebook}/sources/{source} It takes the form notebooks/{notebook}/sources/{source}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Source.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/notebook
  • https://www.googleapis.com/auth/notebook.readonly

For more information, see the Authentication guide.